<?php
/**
 * JComments Top Posters - Shows list of top posters
 *
 * @version 2.0
 * @package JComments
 * @author smart (smart@joomlatune.ru)
 * @copyright (C) 2006-2011 by smart (http://www.joomlatune.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/
 
// no direct access
defined('_JEXEC') or die;

$comments = JPATH_SITE . '/components/com_jcomments/jcomments.php';
if (file_exists($comments)) {
	require_once ($comments);
} else {
	return;
}

require_once (dirname(__FILE__).'/helper.php');

if ($params->get('useCSS') && !defined ('_JCOMMENTS_TOP_POSTERS_CSS')) {
	define ('_JCOMMENTS_TOP_POSTERS_CSS', 1);

	$app = JFactory::getApplication('site');

	$css = 'media/' . $module->module . '/css/' . $module->module . '.css';
	if (is_file(JPATH_SITE . DS . 'templates' . DS . $app->getTemplate() . DS . 'css' . DS . $module->module . ".css")) {
		$css = 'templates/' . $app->getTemplate() . '/css/' . $module->module . ".css";
	}

	$document = JFactory::getDocument();
	$document->addStylesheet($css);
}

$list = modJCommentsTopPostersHelper::getList($params);

require (JModuleHelper::getLayoutPath('mod_jcomments_top_posters', $params->get('layout', 'default')));
